From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: kde-apps/analitza/
Date: Thu, 16 Nov 2017 19:28:12 +0000 (UTC) [thread overview]
Message-ID: <1510860480.983d726fe2bcd1e66d3c920983dcace7ca3399ba.asturm@gentoo> (raw)
commit: 983d726fe2bcd1e66d3c920983dcace7ca3399ba
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 16 19:21:46 2017 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Nov 16 19:28:00 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=983d726f
kde-apps/analitza: Add missing DEPEND
Thanks-to: 白川間瀬流 <vamp898 <AT> ignaz.org>
Closes: https://bugs.gentoo.org/637670
Package-Manager: Portage-2.3.13, Repoman-2.3.4
kde-apps/analitza/analitza-17.08.3-r1.ebuild | 43 ++++++++++++++++++++++++++++
1 file changed, 43 insertions(+)
diff --git a/kde-apps/analitza/analitza-17.08.3-r1.ebuild b/kde-apps/analitza/analitza-17.08.3-r1.ebuild
new file mode 100644
index 00000000000..163e5590c36
--- /dev/null
+++ b/kde-apps/analitza/analitza-17.08.3-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_TEST="forceoptional-recursive"
+VIRTUALX_REQUIRED="test"
+inherit kde5
+
+DESCRIPTION="KDE library for mathematical features"
+KEYWORDS="~amd64 ~x86"
+IUSE="eigen nls"
+
+RDEPEND="
+ $(add_qt_dep qtdeclarative)
+ $(add_qt_dep qtgui '-gles2')
+ $(add_qt_dep qtprintsupport)
+ $(add_qt_dep qtsvg)
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ eigen? ( dev-cpp/eigen:3 )
+"
+DEPEND="${RDEPEND}
+ nls? ( $(add_qt_dep linguist-tools) )
+"
+
+src_prepare() {
+ kde5_src_prepare
+
+ if ! use test; then
+ sed -i \
+ -e "/add_subdirectory(examples)/ s/^/#DONT/" \
+ analitzaplot/CMakeLists.txt || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package eigen Eigen3)
+ )
+
+ kde5_src_configure
+}
next reply other threads:[~2017-11-16 19:28 UTC|newest]
Thread overview: 17+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-11-16 19:28 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-07 16:59 [gentoo-commits] repo/gentoo:master commit in: kde-apps/analitza/ Arthur Zamarin
2025-01-30 17:19 Andreas Sturmlechner
2025-01-30 9:29 Arthur Zamarin
2025-01-30 9:29 Arthur Zamarin
2025-01-05 19:08 Sam James
2024-09-02 13:53 Andreas Sturmlechner
2024-07-06 22:05 Andreas Sturmlechner
2024-05-23 16:00 Andreas Sturmlechner
2021-09-14 14:15 Yixun Lan
2020-04-03 20:07 Andreas Sturmlechner
2017-11-16 19:28 Andreas Sturmlechner
2017-08-06 16:49 Andreas Sturmlechner
2017-05-18 6:34 Andreas Sturmlechner
2017-05-18 6:23 Andreas Sturmlechner
2017-04-23 13:38 Andreas Sturmlechner
2017-03-22 19:36 Andreas Sturmlechner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1510860480.983d726fe2bcd1e66d3c920983dcace7ca3399ba.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox